package sun.font;

import java.awt.geom.PathIterator;
import java.awt.geom.AffineTransform;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.awt.Rectangle;
import java.awt.Shape;

public final class DelegatingShape implements Shape
{
    Shape delegate;
    
    public DelegatingShape(Shape delegate) {
        this.delegate = delegate;
    }
    
    @Override
    public Rectangle getBounds() {
        return this.delegate.getBounds();
    }
    
    @Override
    public Rectangle2D getBounds2D() {
        return this.delegate.getBounds2D();
    }
    
    @Override
    public boolean contains(double n, double n2) {
        return this.delegate.contains(n, n2);
    }
    
    @Override
    public boolean contains(Point2D point2D) {
        return this.delegate.contains(point2D);
    }
    
    @Override
    public boolean intersects(double n, double n2, double n3, double n4) {
        return this.delegate.intersects(n, n2, n3, n4);
    }
    
    @Override
    public boolean intersects(Rectangle2D rectangle2D) {
        return this.delegate.intersects(rectangle2D);
    }
    
    @Override
    public boolean contains(double n, double n2, double n3, double n4) {
        return this.delegate.contains(n, n2, n3, n4);
    }
    
    @Override
    public boolean contains(Rectangle2D rectangle2D) {
        return this.delegate.contains(rectangle2D);
    }
    
    @Override
    public PathIterator getPathIterator(AffineTransform affineTransform) {
        return this.delegate.getPathIterator(affineTransform);
    }
    
    @Override
    public PathIterator getPathIterator(AffineTransform affineTransform, double n) {
        return this.delegate.getPathIterator(affineTransform, n);
    }
}
